## libusb-java 0.8%2Bztex20090101

=== debian/changelog ===
libusb-java (0.8+ztex20090101-10) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/rules, d/p/java-compat.patch: use java_compat_level variable provided
    by java-common to adjust -source/-target level to the minimum required
    by the default Java (Closes: #1057523).

  [ Helmut Grohne ]
  * Fix FTCBFS: Use cross tools for build. (Closes: #1069921)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.

  [ tony mancill ]
  * Bump Standards-Version to 4.7.0
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 28 Apr 2024 10:27:45 -0700

libusb-java (0.8+ztex20090101-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981961)
  * Removed schlaepfer.patch
  * Track and download the new releases from the upstream SVN repository
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Feb 2021 23:29:30 +0100

libusb-java (0.8+ztex20090101-8) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Removed the libusb-java-dbg package
  * Moved the package to Git
  * Moved the package to the Java Team
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Changed the priority from extra to optional
  * Improved the package description
  * Updated the watch file

  [ Markus Koschany ]
  * Update java-compat.patch and fix FTBFS with Java 9 (Closes: #873992)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Sep 2019 12:41:51 +0200

libusb-java (0.8+ztex20090101-7) unstable; urgency=low

  * Reverting previous change for locating jni.h, let us hope
    it all now just builds for everyone (Closes: #728293),
    many thanks to James Page again.

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Nov 2013 14:48:49 +0100

libusb-java (0.8+ztex20090101-6) unstable; urgency=low

  * The NMU addressed James' report already (Closes: #711843).
  * Bumping policy compliance to 3.9.4.
  * Transcribed umlaut in source tree (patch) to help encoding issue,
    despite it technically already been addressed by Gregor.

 -- Steffen Moeller <moeller@debian.org>  Tue, 08 Oct 2013 18:58:50 +0200

libusb-java (0.8+ztex20090101-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to use default java implementation + java 7
    compatibility": apply patch from Ubuntu / James Page
    (after adjusting it to apply against -5):

    Transition package to use default java implementation:
    - d/control: BD on default-jdk (>= 1:1.6).
    - d/rules: Specify source = 1.5 during javadoc generation.
    - d/patches/java-compat.patch: Specify source/target = 1.5 to ensure
      that bytecode is backwards compatible and avoid Java 7 errors.

    Additionally add -encoding to d/rules and d/patches/java-compat.patch

    (Closes: #684154)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 May 2013 18:41:11 +0200

libusb-java (0.8+ztex20090101-5) unstable; urgency=low

  * Fix of FTBFS stimulated by patch from Konstantinos Margaritis
   (Closes: #641152)
  * Solved mysterious issue with sharedLibrary patch
  * Policy compliance declared against 3.9.3
    - Added reference to Vcs in debian/control

 -- Steffen Moeller <moeller@debian.org>  Fri, 14 Sep 2012 22:55:53 +0200

libusb-java (0.8+ztex20090101-4) unstable; urgency=low

  * Added javadoc
  * Removed .java files from .jar
  * Separated architecture-dependent files
  * Eliminated lintian warning on jre dependency.
  * Removed special notion of 64bit with Debian

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Sep 2011 13:49:37 +0200

libusb-java (0.8+ztex20090101-3) unstable; urgency=low

  * Added creation of jar file

 -- Steffen Moeller <moeller@debian.org>  Mon, 05 Sep 2011 23:20:13 +0200

libusb-java (0.8+ztex20090101-2) unstable; urgency=low

  * Addressing those embarrasing build failures (Closes: #637762).

 -- Steffen Moeller <moeller@debian.org>  Fri, 05 Aug 2011 17:35:50 +0200

libusb-java (0.8+ztex20090101-1) unstable; urgency=low

  * Initial release (Closes: #635661)

 -- Steffen Moeller <moeller@debian.org>  Thu, 28 Jul 2011 01:14:47 +0200
