## libusb-java 0.8+ztex20090101

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  default-jdk,
  libusb-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/libusb-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libusb-java
 Homepage: http://libusbjava.sf.net
-Rules-Requires-Root: no
 
 Package: libusb-java-lib
 Architecture: any
@@ -38,7 +37,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libusb-java
-Multi-Arch: foreign
 Description: Java wrapper for libusb (documentation)
  This Java library wraps the C library libusb (0.1). It is designed to
  support user level applications to access USB devices regardless of
