=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
P=$(shell dirname `find /usr/lib/jvm/ -name jni.h | head -n 1` )

export CFLAGS=-I$(P)

%:
	dh $@ 

test:
	echo "P=$(P)"

DOCPATH=doc/html
override_dh_auto_build-arch:
	$(MAKE) STRIP="# not stripping: " libs
	touch build-arch-stamp

override_dh_auto_build-indep:
	$(MAKE) STRIP="# not stripping: " classes
	jar cf libusb.jar `find ch -name "*.class"`
	[ -d $(DOCPATH) ] || mkdir -p $(DOCPATH)
	javadoc -source 1.7 -encoding ISO-8859-1 -classpath . -d $(DOCPATH) ch.ntb.usb
	touch build-indep-stamp

LIBPACKAGE=libusb-java-lib
# /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libusb.a(usb.o): relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
override_dh_auto_install-arch:
	dh_install
	[ -d $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/ ] || mkdir -p $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/
	cp libusbJavaSh.so $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/libusbJava.so.0.8

override_dh_auto_install-indep:
	cp libusb.jar $(CURDIR)/debian/libusb-java/usr/share/java/

override_dh_clean:
	dh_clean
	[ ! -r Makefile ] || make clean
	rm -f lib*.so.* libusb.jar
	rm -rf doc
	rm -f build-indep-stamp
	rm -f build-arch-stamp build-indep-stamp

.PHONY: build-arch-stamp build-indep-stamp
