=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/_/./" \
http://sf.net/libusbjava/LibusbJava-(.*)_64bit\.tar\.(?:gz|bz2)
